using SportsDivision.Domain.Entities;

namespace SportsDivision.Domain.Interfaces;

public interface IHeatLaneRepository : IRepository<HeatLane>
{
    Task<IEnumerable<HeatLane>> GetByHeatAsync(int heatId);
    Task<HeatLane?> GetWithDetailsAsync(int heatLaneId);
}
